# UniTAP.dev.ports.modules.capturer.bulk.bulk_capturer

megabyte = 1048576
class BulkCapturer:

Class `BulkCapturer` allows working with capturing Bulk data on Sink (RX - receiver) side. You can `start` capturing in several modes, `stop` capturing, getting current `status` and result of capturing `capture_result`.

BulkCapturer( capturer: UniTAP.dev.modules.capturer.capture.Capturer, memory_manager: UniTAP.dev.modules.memory_manager.memory_manager.MemoryManager)
status

Returns current bulk capturer status.

###### Returns:

> object of `VideoCaptureStatus` type

capture_result: UniTAP.dev.ports.modules.capturer.bulk.result_bulk.ResultBulkObject

Returns result of bulk capturing.

###### Returns:

> object of `ResultBulkObject` type

encoding_type: UniTAP.dev.ports.modules.capturer.bulk.bulk_types.EncodingTypeEnum

Returns current encoding type of capturing.

###### Returns:

> object of `EncodingTypeEnum` type

lane_count: UniTAP.dev.ports.modules.capturer.bulk.bulk_types.LaneCountEnum

Returns current lane count for capturing.

###### Returns:

> object of `LaneCountEnum` type

def start( self, bulk_size: int = 1, trigger_position: UniTAP.dev.ports.modules.capturer.bulk.bulk_types.TriggerPosition = <TriggerPosition.TP_Start: 0>, trigger_config: Optional[~TriggerVarType] = None, assume_scrambler: bool = False, gpio: bool = False, encoding_type: Optional[ UniTAP.dev.ports.modules.capturer.bulk.bulk_types.EncodingTypeEnum ] = None, lane_count: Optional[ UniTAP.dev.ports.modules.capturer.bulk.bulk_types.LaneCountEnum ] = None):

Start capturing. All results can be obtained using the function `capture_result`.

###### Arguments:

- bulk_size (int) - bulk data size in megabytes
- trigger_position (`TriggerPosition`)
- trigger_config (`TriggerVarType`|None)
- assume_scrambler (bool)
- gpio (bool)
- encoding_type (`EncodingTypeEnum`|None)
- lane_count (`LaneCountEnum`|None)

def stop(self):

Stop capture video.